Bug 799738 - [abrt] alsa-utils-1.0.24.1-8.fc17: snd_mixer_class_unregister: Process /usr/bin/alsamixer was killed by signal 11 (SIGSEGV)
[abrt] alsa-utils-1.0.24.1-8.fc17: snd_mixer_class_unregister: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
abrt_hash:7d72506b8ff55a5291508d903eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 16:21 EST by rafaelement
Modified: 2013-07-31 21:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.29 KB, text/plain)
2012-03-04 16:21 EST, rafaelement
no flags Details
File: coredump (8.98 MB, text/plain)
2012-03-04 16:36 EST, rafaelement
no flags Details
File: maps (9.37 KB, text/plain)
2012-03-04 16:36 EST, rafaelement
no flags Details

  None (edit)
Description rafaelement 2012-03-04 16:21:47 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        alsamixer
comment:        Installed Fedora 17 alpha on my system.1st. boot:no audio, 2nd. boot, bug reporter down right. 
crash_function: snd_mixer_class_unregister
executable:     /usr/bin/alsamixer
kernel:         3.3.0-0.rc3.git7.2.fc17.i686
pid:            2000
pwd:            /home/rafael
reason:         Process /usr/bin/alsamixer was killed by signal 11 (SIGSEGV)
time:           Sun 04 Mar 2012 04:29:01 PM CET
uid:            1000
username:       rafael
xsession_errors: 

backtrace:      Text file, 8490 bytes
maps:           Text file, 9593 bytes

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libformw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libICE.so.6.3.0 libICE-1.0.7-2.fc17.i686 (Fedora Project) 1329853942
:/usr/lib/librt-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libmenuw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-3.fc17.i686 (Fedora Project) 1329853946
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-2.fc17.i686 (Fedora Project) 1329853954
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-9.fc17.i686 (Fedora Project) 1329853947
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-3.fc17.i686 (Fedora Project) 1329853943
:/usr/lib/libvorbisenc.so.2.0.9 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libX11.so.6.3.0 libX11-1.4.99.1-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/alsa-lib/libasound_module_ctl_pulse.so alsa-plugins-pulseaudio-1.0.25-1.fc17.i686 (Fedora Project) 1329854126
:/usr/lib/libasound.so.2.0.0 alsa-lib-1.0.25-3.fc17.i686 (Fedora Project) 1329853974
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.4.99.1-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libm-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libgsm.so.1.0.12 gsm-1.0.13-6.fc17.i686 (Fedora Project) 1329853953
:/usr/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.i686 (Fedora Project) 1329853942
:/usr/lib/ld-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-4.fc17.i686 (Fedora Project) 1329853944
:/usr/lib/libvorbis.so.0.4.6 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libpulse.so.0.13.5 pulseaudio-libs-1.1-3.fc17.i686 (Fedora Project) 1329853954
:/usr/bin/alsamixer alsa-utils-1.0.24.1-8.fc17.i686 (Fedora Project) 1329854053
:/usr/lib/libXext.so.6.4.0 libXext-1.3.0-2.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libXi.so.6.1.0 libXi-1.5.99.2-4.20111222gitae0187c87.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21-0.2.fc17.i686 (Fedora Project) 1329853943
:/usr/lib/libgcc_s-4.7.0-20120208.so.1 libgcc-4.7.0-0.12.fc17.i686 (Fedora Project) 1329853933
:/usr/lib/locale/locale-archive glibc-common-2.15-11.fc17.i686 (Fedora Project) 1329853938
:/usr/lib/libc-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-69.fc17.i686 (Fedora Project) 1329853944
:/usr/lib/libresolv-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libdl-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libnsl-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libpthread-2.15.so glibc-2.15-11.fc17.i686 (Fedora Project) 1329853939
:/usr/lib/libpanelw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8-2.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libjson.so.0.0.1 json-c-0.9-4.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libncursesw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libpulsecommon-1.1.so pulseaudio-libs-1.1-3.fc17.i686 (Fedora Project) 1329853954

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=rafael-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-CB4krl/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=37748741
:GNOME_KEYRING_CONTROL=/tmp/keyring-CB4krl
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=rafael
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-CB4krl/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1048,unix/unix:/tmp/.ICE-unix/1048
:USERNAME=rafael
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/rafael/.local/bin:/home/rafael/bin
:MAIL=/var/spool/mail/rafael
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rafael
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1044
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/rafael
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=rafael
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FyxQfX2aUG,guid=d5ccd9af1c41dc5b5dcdd9d500000073
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/rafael
:DISPLAY=:2
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-rafael-jNkpJz/database
:_=/usr/bin/alsamixer

event_log:
:2012-03-04-18:51:49> Querying server settings
:2012-03-04-18:51:51  Preparing an archive to upload
:2012-03-04-18:51:52  Uploading 155976 bytes
:2012-03-04-18:51:55  Upload successful
:2012-03-04-18:52:01  Retrace job started
:2012-03-04-18:52:14  Analyzing crash data
:2012-03-04-18:52:25  Initializing virtual root
:2012-03-04-18:52:36  Initializing virtual root
:2012-03-04-18:52:49  Initializing virtual root
:2012-03-04-18:53:00  Initializing virtual root
:2012-03-04-18:53:12  Initializing virtual root
:2012-03-04-18:53:23  Initializing virtual root
:2012-03-04-18:53:35  Initializing virtual root
:2012-03-04-18:53:46  Initializing virtual root
:2012-03-04-18:53:59  Retrace job finished successfully
:2012-03-04-18:55:44> Element 'xsession_errors' saved
:2012-03-04-18:55:45> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: df11f6e2-8eaf-4519-a731-1e7612b4943c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4589.88
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 2363
:System Swap: 3945
:Vendor: Acer
:System: Aspire 5750G V1.11
:Form factor: Notebook
:Kernel: 3.3.0-0.rc3.git7.2.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:46:4525:26115) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(4318:3572:4133:1285) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4133:1284) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 8954850 8155377 8065729 2244608 2147643 2147643
:

var_log_messages:
:Mar  4 16:29:01 rafael-laptop kernel: [ 1467.109475] alsamixer[2000]: segfault at 8 ip 0014c1d7 sp bfc42060 error 4 in libasound.so.2.0.0[110000+e2000]
:Mar  4 16:29:01 rafael-laptop abrt[2010]: Saved core dump of pid 2000 (/usr/bin/alsamixer) to /var/spool/abrt/ccpp-2012-03-04-16:29:01-2000 (9420800 bytes)
Comment 1 rafaelement 2012-03-04 16:21:52 EST
Created attachment 567418 [details]
File: backtrace
Comment 2 rafaelement 2012-03-04 16:36:36 EST
Created attachment 567420 [details]
File: coredump
Comment 3 rafaelement 2012-03-04 16:36:50 EST
Created attachment 567421 [details]
File: maps
Comment 4 Fedora End Of Life 2013-07-03 18:59:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:16:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.